plugins:
- jekyll-unique-urls
- jekyll-lunr
- jekyll-locales
- jekyll-ignore-layouts
- jekyll-relative-urls
- jekyll-dotenv
- jekyll-include-cache
- jekyll-linked-posts
- jekyll-commonmark
- jekyll-feed
- jekyll-order
- jekyll-data
- jekyll-seo-tag
- jekyll-images
- sutty-archives
- sutty-liquid
markdown: CommonMark
commonmark:
  options:
  - SMART
  - FOOTNOTES
  - UNSAFE
  extensions:
  - strikethrough
  - autolink
  - table
# Agregar node_modules a la lista de directorios donde SASS busca
# archivos.  Podríamos haber agregado solo "node_modules/bootstrap/scss"
# pero queríamos dejarlo abierto para poder cambiar de framework o
# llamar a varios a la vez.
sass:
  style: compressed
  load_paths:
  - node_modules
# Opciones para generar las URLs de las páginas.  Por defecto Jekyll
# crea /categoria/año/mes/dia/titulo.html que me parece innecesariamente
# larga.
#
# Con esto generamos URLs relativas (sin / al principio) y solo el
# titulo convertido en slug.  El slug es la versión limpia del título,
# sin espacios ni mayusculas, a veces sin tildes.
#
# En realidad Jekyll es un poco confuso acá porque :title es el nombre
# del archivo usado en _posts/yyyy-mm-dd-slug.md y no el titulo
# slugificado.  De todas formas Sutty se encarga de que coincidan.
permalink: ":title/"
# El nombre de la plantilla
# theme: sutty-base-jekyll-theme
# La lista de resoluciones de imágenes disponibles para jekyll-images.
# Estamos usando los puntos de quiebre de bootstrap.
#
# https://getbootstrap.com/docs/4.4/layout/overview/#responsive-breakpoints
images:
  sizes:
    - 576
    - 768
    - 992
    - 1140
jekyll-archives:
  enabled:
  - tags
  permalinks:
    tag: "etiquetas/:name/"
locales:
- es
linked_fields:
- categories
- categories_next
- category_previous
- posts
ignored_layouts:
- menu
manifest:
- pages
- documents
- static_files
